# Documentation

Yait: Yet Another Init Tool

## Introduction

Yait, or Yet Another Init Tool, is a small shell script that templates minimal programs. It provides argument parsing and a general framework for your projects.

## Installation

    git clone https://git.vxserver.dev/fSD/yait

    cd fes

    sudo make install

## Quick Start

    yait hello

This creates a C project.

    yait -x sh hello

This creates a SH project.

## Cli Reference

Name | Description
--- | ---
`--help` | Display help information.
`--version` | Print version information.
`-x <language>` | Set project language.
`-d <description>` | Set a description.
`-S` | small project creation (only for shell scripts)
`-f` | overwrite existing files
`-d <author>` | Disable color output.
`-r` | Initalize a Git repository.
`-q` | Suppress non-critical output.